---
title: text-emphasis-position
slug: Web/CSS/text-emphasis-position
tags:
  - CSS
  - CSS Property
  - CSS Text Decoration
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>text-emphasis-position</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets where emphasis marks are drawn. Like ruby text, if there isn't enough room for emphasis marks, the line height is increased.</p>

<pre class="brush:css no-line-numbers notranslate">/* Initial value */
text-emphasis-position: over right;

/* Keywords value */
text-emphasis-position: over left;
text-emphasis-position: under right;
text-emphasis-position: under left;

text-emphasis-position: left over;
text-emphasis-position: right under;
text-emphasis-position: left under;

/* Global values */
text-emphasis-position: inherit;
text-emphasis-position: initial;
text-emphasis-position: unset;
</pre>

<div class="note"></div>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
	<dt><code><dfn>over</dfn></code></dt>
	<dd>Draw marks over the text in horizontal writing mode.</dd>
	<dt><code><dfn>under</dfn></code></dt>
	<dd>Draw marks under the text in horizontal writing mode.</dd>
	<dt><code><dfn>right</dfn></code></dt>
	<dd>Draws marks to the right of the text in vertical writing mode.</dd>
	<dt><code><dfn>left</dfn></code></dt>
	<dd>Draw marks to the left of the text in vertical writing mode.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>The preferred position of emphasis marks depends on the language. In Japanese for example, the preferred position is <span class="css">over right</span>. In Chinese, on the other hand, the preferred position is <span class="css">under right</span>. The informative table below summarizes the preferred emphasis mark positions for Chinese, Mongolian and Japanese:</p>

<table>
	<caption>Preferred emphasis mark and ruby position</caption>
	<thead>
		<tr>
			<th rowspan="2" scope="col">Language</th>
			<th colspan="2" scope="col">Preferred position</th>
			<th colspan="2" rowspan="2" scope="col">Illustration</th>
		</tr>
		<tr>
			<th>Horizontal</th>
			<th>Vertical</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>Japanese</td>
			<td rowspan="3">over</td>
			<td rowspan="3">right</td>
			<td rowspan="3"><img alt="Emphasis marks appear over each emphasized character in horizontal Japanese text." src="https://drafts.csswg.org/css-text-decor-3/images/text-emphasis-ja.png" style="height: 28px; width: 225px;" title="Emphasis (shown in blue for clarity) applied above a fragment of Japanese text"></td>
			<td rowspan="4"><img alt="Emphasis marks appear on the right of each emphasized character in vertical Japanese text." src="https://drafts.csswg.org/css-text-decor-3/images/text-emphasis-v.gif" style="height: 89px; width: 34px;" title="Emphasis applied on the right of a fragment of Japanese text"></td>
		</tr>
		<tr>
			<td>Korean</td>
		</tr>
		<tr>
			<td>Mongolian</td>
		</tr>
		<tr>
			<td>Chinese</td>
			<td>under</td>
			<td>right</td>
			<td><img alt="Emphasis marks appear below each emphasized character in horizontal Simplified Chinese text." src="https://drafts.csswg.org/css-text-decor-3/images/text-emphasis-zh.gif" style="height: 28px; width: 133px;" title="Emphasis (shown in blue for clarity) applied below a fragment of Chinese text"></td>
		</tr>
	</tbody>
</table>

<div class="note">
<p><strong>Note</strong>: The <code>text-emphasis-position</code> cannot be set, and therefore are not reset either, using the {{cssxref("text-emphasis")}} shorthand property.</p>
</div>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Preferring_ruby_over_emphasis_marks">Preferring ruby over emphasis marks</h3>

<p>Some editors prefer to hide emphasis marks when they conflict with ruby. In HTML, this can be done with the following style rule:</p>

<pre class="brush: css notranslate">ruby {
  text-emphasis: none;
}
</pre>

<h3 id="Preferring_emphasis_marks_over_ruby">Preferring emphasis marks over ruby</h3>

<p>Some other editors prefer to hide ruby when they conflict with emphasis marks. In HTML, this can be done with the following pattern:</p>

<pre class="brush: css notranslate">em {
  text-emphasis: dot; /* Set text-emphasis for &lt;em&gt; elements */
}

em rt {
  display: none; /* Hide ruby inside &lt;em&gt; elements */
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName('CSS3 Text Decoration', '#text-emphasis-position-property', 'text-emphasis')}}</td>
			<td>{{Spec2('CSS3 Text Decoration')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.text-emphasis-position")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li>The longhand properties {{cssxref("text-emphasis-style")}}, {{cssxref("text-emphasis-color")}}, and the corresponding shorthand property {{cssxref("text-emphasis")}}.</li>
</ul>
